package tutorial.view
{
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;
	
	import tutorial.ApplicationFacade;

	public class ApplicationMediator extends Mediator implements IMediator
	{
		public static const NAME:String = "ApplicationMediator";
		
		public function ApplicationMediator(view:Application)
		{
			super(NAME, view);
		}
		
		override public function listNotificationInterests():Array
		{
			return [ApplicationFacade.LOADUSERS_COMPLETE];
		}
		
		override public function handleNotification(note:INotification):void
		{
			switch (note.getName())
			{
				case ApplicationFacade.LOADUSERS_COMPLETE:
					var users:XML = note.getBody() as XML;
					mainView.lstUsers.dataProvider = users.user;
					break;
			}
		}
		
		protected function get mainView():Application
		{
			return viewComponent as Application;
		}
	}
}
